<?php include'includes/header.php'?>
<section class="page-title" style="background: url(admin/uploads/<?php echo $row_header["image"];?>) center center/cover no-repeat local;">
  <div class="container">
    <div class="row">
      <div class="col col-xs-12">
        <h2><?php echo $row_header["sub_title"];?></h2>
        <ol class="breadcrumb">
          <li><a href="index.php">Home</a></li>
          <li><?php echo $row_header["sub_title"];?></li>
        </ol>
      </div>
    </div>
  </div>
</section>
<section class="contact-pg-section section-padding">
            <div class="container">
                <div class="row mb-20">
                    <div class="col col-md-3">
                        <div class="contact-info">
                          <h3 class="">Get in Touch</h3><hr>
                            <ul>
                                <li>
                                    <div class="icon"><i class="fa fa-phone"></i></div>
                                    <p><span>Phone</span> +91 <?php echo $result_headersite['phone'];?></p>
                                </li>
                                <li>
                                    <div class="icon"><i class="fa fa-envelope"></i></div>
                                    <p><span>Email</span><?php echo $result_headersite['email'];?></p>
                                </li>
                                <li>
                                    <div class="icon"><i class="fa fa-location-arrow"></i></div>
                                    <p><span>Office</span><?php echo $result_headersite['address'];?></p>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col col-md-offset-1 col-md-8">
                      <h3 class="">Send Your Message</h3><hr>
                      <?php
                    if(isset($_GET['contactemail']) && $_GET['contactemail'] == 'success')
                      {
                        echo "<div class='alert alert-success text-center'>email sent succefully</div>";
                      }
                      elseif(isset($_GET['contactemail']) && $_GET['contactemail'] == 'failed')
                        {
                          echo "<div class='alert alert-danger text-center'>email not sent</div>";
                        }
                      ?>
                        <form class="contact-form form contact-validation-active row"  action="sendmail.php" method="post" onsubmit="validateCaptcha()" id="form">
                            <div class="col col-sm-6">
                                <label for="f-name">First Name</label>
                                <input type="text" class="form-control" id="f-name" name="name" required>
                            </div>
                            
                            <div class="col col-sm-6">
                                <label for="email">Email</label>
                                <input type="email" class="form-control" id="email" name="email" required>
                            </div>

                            <div class="col col-sm-6">
                                <label for="l-name">Subject</label>
                                <input type="text" class="form-control" id="Subject" name="subject"required>
                            </div>
                            <div class="col col-sm-6">
                                <label for="phone">Phone No</label>
                                <input type="tel" class="form-control" id="phone" name="phone"pattern="[0-9]{3}[0-9]{3}[0-9]{4}"required>
                            </div>
                            <div class="col col-sm-12">
                                <label for="message">Message</label>
                                <textarea class="form-control" id="message" name="message" required></textarea>
                            </div>
                            <div class="col-md-6 col-sm-6 col-xs-12 form-group">
                                                            
                                            <div class="form-group col-sm-4">
                                                 <div id="captcha" class="text-center" >
                                                </div>
                                            </div>
                                            <div class="form-group col-sm-2">
                                                 <span onclick="createCaptcha()" class="text-center form-control"><i class="fa fa-refresh"></i></span>
                                                </div>


                                                <div class="form-group col-md-6 col-sm-6">
                                                    <input class="form-control" id="cpatchaTextBox" required="" name="" placeholder="Captcha" type="text">
                                                </div>
                                    </div>
                            <div class="col col-sm-12 submit-btn">
                                <button class="theme-btn" type="submit" name="submit">Submit</button>
                                
                            </div>
                        </form>
                        </div>
                    </div>

                    <div class="row">
                      <div class="col col-xs-12">
                        <h3 class="">Our Location</h3><hr>
                          <iframe src="<?php echo $result_headersite['map_url'];?>" width="100%" height="400" frameborder="0" style="border:0;" allowfullscreen=""></iframe>
                      </div>
                  </div>
                </div>
                
            </div>
        </section>
<script type="text/javascript">
    var code;
function createCaptcha() {
  //clear the contents of captcha div first 
  document.getElementById('captcha').innerHTML = "";
  var charsArray =
  "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ@!#$%^&*";
  var lengthOtp = 6;
  var captcha = [];
  for (var i = 0; i < lengthOtp; i++) {
    //below code will not allow Repetition of Characters
    var index = Math.floor(Math.random() * charsArray.length + 1); //get the next character from the array
    if (captcha.indexOf(charsArray[index]) == -1)
      captcha.push(charsArray[index]);
    else i--;
  }
  var canv = document.createElement("canvas");
  canv.id = "captcha";
  canv.width = 120;
  canv.height = 50;
  var ctx = canv.getContext("2d");
  ctx.font = "25px Georgia";
  ctx.strokeText(captcha.join(""), 0, 30);
  //storing captcha so that can validate you can save it somewhere else according to your specific requirements
  code = captcha.join("");
  document.getElementById("captcha").appendChild(canv); // adds the canvas to the body element
}
function validateCaptcha() {
  
  //debugger
  if (document.getElementById("cpatchaTextBox").value == code) {
    $("#form").submit();
  }else{
    event.preventDefault();
    alert("Invalid Captcha. try Again");
    createCaptcha();
  }
}
createCaptcha();

</script>

<?php include'includes/footer.php'?>